Installing puppetmaster with passenger without foreman causes AVC denials

09/13/2013 10:49 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee:    

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The problem is the policy for passenger to work is included in foreman-selinux,

that doesn't get installed when installing puppetmaster.

Ideally, there would be separate policy for both foreman and puppet.

Related issues:

Related to SELinux - Feature #2820: Improve SELinux policy for puppet Resolved

Related to SELinux - Bug #6316: Break up foreman, puppetmaster and passenger ... Resolved

History

#1 - 09/13/2013 12:44 PM - Ivan Necas

Partially fixed in https://github.com/theforeman/puppet-passenger/pull/16, installing foreman-selinux when configuring passenger

#2 - 09/16/2013 11:58 AM - Lukas Zapletal

- Related to Feature #2820: Improve SELinux policy for puppet added

#3 - 06/20/2014 01:41 PM - Lukas Zapletal

- Related to Bug #6316: Break up foreman, puppetmaster and passenger domains added

#4 - 06/20/2014 01:42 PM - Lukas Zapletal

We need to workaround this, full solution needs more time: http://projects.theforeman.org/issues/6316

#5 - 07/22/2019 03:50 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Closed

Puppet no longer runs under passenger so I'm going to close this.
